autoweka

## Class ClassParams

- java.lang.Object
- - autoweka.ClassParams

-     public class ClassParams
      extends java.lang.Object

  Captures all the Parameters and Conditionals for a specific classifier that Auto-WEKA will search over

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassParams(java.lang.String fileName)` Parses a given .param file to extract all the Parameter and Conditional objects

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `filterParams(java.util.Map<java.lang.String,java.lang.String> inputMap)` Given a map of parameter,value pairs, only returns a new map that has only params that are active based on the conditional rules
    `java.util.ArrayList<Conditional>` | `getConditionals()` Gets the list of all conditionals for this class.
    `java.util.HashMap<java.lang.String,Parameter>` | `getParameterMap()` Gets a map between the parameter names and the actual parameters for this class
    `java.util.ArrayList<Parameter>` | `getParameters()` Gets the list of all parameters for this class.
    `java.lang.String` | `getTargetClass()` Gets the canonical name of the class that these parameters capture.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassParams

          public ClassParams(java.lang.String fileName)

      Parses a given .param file to extract all the Parameter and Conditional objects
      Parameters:
        `fileName` - The file name.

  - ### Method Detail

    - #### filterParams

          public java.util.Map<java.lang.String,java.lang.String> filterParams(java.util.Map<java.lang.String,java.lang.String> inputMap)

      Given a map of parameter,value pairs, only returns a new map that has only params that are active based on the conditional rules
      Parameters:
        `inputMap` - The map consisting of parameter name to values that need to be filtered
      Returns:
        Map with only the active parameters in it

    - #### getTargetClass

          public java.lang.String getTargetClass()

      Gets the canonical name of the class that these parameters capture.
      Returns:
        The class name.

    - #### getParameters

          public java.util.ArrayList<Parameter> getParameters()

      Gets the list of all parameters for this class.
      Returns:
        The list of all parameters.

    - #### getConditionals

          public java.util.ArrayList<Conditional> getConditionals()

      Gets the list of all conditionals for this class.
      Returns:
        The list of conditionals.

    - #### getParameterMap

          public java.util.HashMap<java.lang.String,Parameter> getParameterMap()

      Gets a map between the parameter names and the actual parameters for this class
      Returns:
        The mapping of parameter name to actual parameter.